/*
 * Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
 *
 * This file is part of NRAO Workspaces.
 *
 * Workspaces is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Workspaces is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
 */
import { browser, by, element, ElementFinder } from "protractor";

export class AppPage {
  navigateToBase() {
    return browser.get(browser.baseUrl) as Promise<any>;
  }
  navigateToWorkspacesHome() {
    console.log(browser.baseUrl);
    return browser.get(`${browser.baseUrl}workspaces`) as Promise<any>;
  }
  getLaunchNullCapabilityButton() {
    return element(by.css("#launchNullCapabilityBtn"));
  }
  getLaunchDownloadCapabilityButton() {
    return element(by.css("#launchDownloadCapabilityBtn"));
  }
  getCapabilityResults() {
    return element(by.css("#capabilityResults"));
  }
}
