#
# Copyright (C) 2022 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add da notes column to capability_versions

Revision ID: b0b8ab31788d
Revises: 3de1a47f5355
Create Date: 2022-05-04 13:55:31.660628

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "b0b8ab31788d"
down_revision = "3de1a47f5355"
branch_labels = None
depends_on = None


def upgrade():
    op.execute("ALTER TABLE capability_versions ADD COLUMN da_notes varchar NOT NULL DEFAULT 'Created'")


def downgrade():
    op.execute("ALTER TABLE capability_versions DROP COLUMN IF EXISTS da_notes")
